FLTK 1.4.4

Loading...
Searching...
No Matches
filename.H File Reference

File names and URI utility functions. More...

`#include "Fl_Export.H"`
`#include <FL/platform_types.h>`

Go to the source code of this file.

## Macros
#define | FL_PATH_MAX 2048
| all path buffers should use this length

## Typedefs
typedef int | Fl_File_Sort_F(struct dirent **, struct dirent **)
| File sorting function.

## Functions
void | fl_decode_uri (char *uri)
| Decodes a URL-encoded string.
int | fl_filename_absolute (char *to, int tolen, const char *from)
| Makes a filename absolute from a relative filename to the current working directory.
int | fl_filename_absolute (char *to, int tolen, const char *from, const char *cwd)
| Concatenate the absolute path base with from to form the new absolute path in to.
int | fl_filename_expand (char *to, int tolen, const char *from)
| Expands a filename containing shell variables and tilde (~).
const char * | fl_filename_ext (const char *buf)
| Gets the extension of a filename.
void | fl_filename_free_list (struct dirent ***l, int n)
| Free the list of filenames that is generated by fl_filename_list().
int | fl_filename_isdir (const char *name)
| Determines if a file exists and is a directory from its filename.
int | fl_filename_list (const char *d, struct dirent ***l, Fl_File_Sort_F *s=fl_numericsort)
| Portable and const-correct wrapper for the scandir() function.
int | fl_filename_match (const char *name, const char *pattern)
| Checks if a string `s` matches a pattern `p`.
const char * | fl_filename_name (const char *filename)
| Gets the file name from a path.
int | fl_filename_relative (char *to, int tolen, const char *from)
| Makes a filename relative to the current working directory.
int | fl_filename_relative (char *to, int tolen, const char *from, const char *cwd)
| Makes a filename relative to any other directory.
char * | fl_filename_setext (char *to, int tolen, const char *ext)
| Replaces the extension in `buf` of max.
int | fl_open_uri (const char *uri, char *msg, int msglen)
| Opens the specified Uniform Resource Identifier (URI).

## Detailed Description

File names and URI utility functions.